Get a company
curl --request GET \
--url https://api-dev.narrative.io/company/{company_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/company/{company_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/company/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_id": 42,
"name": "ACM",
"slug": "acm",
"long_description": "The Acme Corporation is an ironic name for the fictional corporation, appearing in the Road Runner/Wile E. Coyote animated shorts, where it was used as a running gag.",
"short_description": "American Company that Manufactures Everything",
"contact_email": "[email protected]",
"twitter_link": "https://twitter.com/acm_company",
"linkedin_link": "https://www.linkedin.com/company/acm_company",
"image_url": null,
"visibility": "visible",
"status": "active",
"website": null,
"created_at": "2016-06-09T02:00:47Z",
"created_by": "[email protected]",
"last_updated_at": "2023-08-17T16:18:10.386058Z",
"last_updated_by": "[email protected]"
}Company
Get a company
GET
/
company
/
{company_id}
Get a company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of an existing company
Response
200 - application/json
OK
Unique identifier of an existing company.
Example:
7
Name of the company
Unique id for the company
A short description of the company
The complete description of the company
The url of the logo of the company
The geographical location of the company
The number of employees
The url of the website of the company
Email contact
Twitter account
LinkedIn account
The instant this company was created.
Example:
"2021-06-24T00:54:40.029056Z"
Contact of user who created the company
The instant this company was created.
Example:
"2021-06-24T00:54:40.029056Z"
Contact of user who updated the company
Available options:
invisible, visible, invisible_in_discover Available options:
active, deleted, pending Was this page helpful?

